package com.sv.mapper;
import com.sv.entity.VenueLessonTagConfig;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * Mapper - 课程tag
 *
 * @author zhaoziyu
 * @since 2018-08-07
 */
public interface VenueLessonTagConfigMapper {

    /**
     * 新建课程tag
     *
     * @param venueLessonTagConfig 课程tag
     */
    void insert(VenueLessonTagConfig venueLessonTagConfig);

    /**
     * 更新课程tag
     *
     * @param venueLessonTagConfig 课程tag
     */
    void update(VenueLessonTagConfig venueLessonTagConfig);

    /**
     * 删除课程tag
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除课程tag
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询课程tag
     *
     * @param id 编号
     * @return 课程tag
     */
    VenueLessonTagConfig findById(Integer id);

    /**
     * 查询课程tag
     *
     * @return 课程tag集合
     */
    List<VenueLessonTagConfig> findAll();

    VenueLessonTagConfig findByName(@Param("name") String name);

}